--[[
Interface: 1.5.1.0 b6732

Author: GtX | Andy
Date: 06.11.2019
Version: 1.0.0.0

Contact:
https://forum.giants-software.com
https://github.com/GtX-Andy

History:
V 1.0.0.0 @ 06.11.2019 - Release Version.

About:
A simple change to the 'WoodSellStationPlaceable.lua' to allow a price multiplier to be added as in 15 and 17.

This lua can be added directly to a map or individual placeable mods.
Only one instance will be used but the attribute located at the 'woodSellTrigger' will be checked for all wood triggers.

See also: https://gdn.giants-software.com/thread.php?categoryId=22&threadId=7036
]]

if WoodSellStationPlaceable ~= nil and WoodSellStationPlaceable.HAS_PRICE_MULTIPLIER ~= true then
    WoodSellStationPlaceable.calculateBaseValue = Utils.overwrittenFunction(WoodSellStationPlaceable.calculateBaseValue, function(self, superFunc, objectId)
        if self.priceMultiplier == nil then
            -- Attribute 'priceMultiplier' should be added directly to the 'woodSellTrigger' node.
            self.priceMultiplier = tonumber(Utils.getNoNil(getUserAttribute(self.woodSellTrigger, "priceMultiplier"), 1))
        end

        local baseValue = superFunc(self, objectId)

        return baseValue * self.priceMultiplier
    end)

    WoodSellStationPlaceable.HAS_PRICE_MULTIPLIER = true
end
